@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;1,100;1,300;1,400;1,500;1,700&display=swap');


/* General */
html {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
    margin: 0;
    height: 100%;
    font-family: 'Roboto',Helvetica,Arial,Lucida,sans-serif;
}

.centered {
    text-align: center;
}

.left {
    text-align: left;
}

.justified {
    text-align: justify;
}

.noDecoration {
    text-decoration: none;
    color: #666666;
}

.maxSize {
    width: 100%;
}

.noMarginTop {
    margin-top: 0 !important;
}

.noMarginBottom {
    margin-bottom: 0 !important;
}

.paddingNoTop {
    padding-top: 0 !important;
}

.paddingAfter {
    padding-top: 0 !important;
    padding-bottom: 20px !important;
}

.paddingTopDown {
    padding-top: 30px !important;
    padding-bottom: 10px !important;
}

/* logo */
#logo {
    height: 100px;
    max-height: 15vh;
}

/* content */
.contentContainer {
    flex-shrink: 0;
    margin: 0;
    display: flex;
    justify-content: center;
    font-family: 'Roboto',Helvetica,Arial,Lucida,sans-serif;
}

.contentContainerAcqua {
    margin-top: 20px;
    padding-bottom: 20px;
    background-color: #fffdfb;
}

.contentContainerFirst {
    padding-bottom: 0;
}

.contentContainerContinued {
    margin-top: 0;
    padding-top: 20px;
}

.contentContainerLast {
    padding-bottom: 16px;
}

.content {
    margin: 6px;
    padding-top: 20px;
    color: #666666;
    font-size: 18px;
    font-weight: 300;
    line-height: 27pt;
}

.content a {
    color: #4facd7;
}

.content a:visited {
    color: #33A0D1;
}

.content a:hover {
    color: #85C6E3;
}

.content a.titleLink {
    text-decoration: none;
}

.content a.titleLink  img {
    margin-top: 6px;
    max-width: 100%;
}

.content h1 {
    text-align: center;
    color: #f8cf3f;
    font-family: 'Roboto',Helvetica,Arial,Lucida,sans-serif;
    font-weight: 600;
    font-size: 36pt;
    line-height: 54px;
    flex-basis: 100%;
}

.content h2 {
    text-align: center;
    color: #4facd7;
    font-family: 'Roboto',Helvetica,Arial,Lucida,sans-serif;
    margin-bottom: 6px;
    flex-basis: 100%;
}

.content h3 {
    text-align: center;
    color: #80c63d;
    font-family: 'Roboto',Helvetica,Arial,Lucida,sans-serif;
    font-weight: 500;
    flex-basis: 100%;
}

.content img {
    max-width: calc(100% - 12px);
}

.content p {
    font-weight: 300;
    flex-basis: 100%;
}

.contentSenzaIcona h1 {
    margin-top: -6px;
}

.contentLarge {
    width: 1011px;
    flex-grow: 0.7;
    display: flex;
    flex-wrap: wrap;
    justify-content: space-around;
}

.contentMiddle {
    width: 1061px;
}

.contentMedium {
    width: 948px;
}

.contentSmall {
    width: 738px;
}

.contentMini {
    width: 628px;
}

.contentVerticalCentered {
    height: calc(100% - 30px);
}

.contentVerticalCentered > div {
    height: 100%;
    display: grid;
    align-content: center;
}

.contentVerticalCentered h1 {
    margin-bottom: 0;
}

.contentVerticalTop {
    margin-bottom: 0 !important;
}

.contentVerticalTop h1 {
    margin-bottom: 0;
}

/* button */
button, .k-button.k-primary, .k-dialog.k-alert .k-button, .k-button:not(.k-rpanel-toggle) {
    margin: 18px;
    padding: 14px 20px 16px 20px;
    color: #4facd7;
    font-size: 18px;
    font-weight: 600;
    font-family: 'Roboto',Helvetica,Arial,Lucida,sans-serif;
    background-color: #FCFDFE;
    border: 1px solid #4facd7;
    border-radius: 8px;
    cursor: pointer;
}

button:hover, .k-button:hover, .k-button.k-primary:hover, .k-dialog.k-alert .k-button:hover {
    color: #FCFDFE;
    background-color: #62B6DC;
}

/* k-form */
.k-form .k-button {
    margin-left: 0;
    margin-top: 0;
}

.k-form .k-input-button {
    top: 8px;
    right: -6px;
}

.k-form .k-input {
    min-height: 57.5px;
}

.k-form-buttons {
    justify-content: right;
}

.k-form p {
    text-align: justify;
}

.k-form .k-radio-label {
    padding-left: 6px;
}

.k-form .k-form-field-wrap {
    padding-left: 6px;
}

.k-form .k-slider.k-slider-horizontal, .k-form  .k-listbox {
    width: 96%;
}

.k-form .k-slider.k-slider-horizontal .k-slider-selection {
    display: none;
}

/* Main Menu */
#mainMenu {
    flex-grow: 0.4;
    align-self: flex-end;
    /*min-width: 418px;*/
    background-color: white;
    display: flex;
    flex-flow: row wrap;
    justify-content: flex-end;
    text-align: center;
    padding-top: 0;
}

#mainMenu li {
    color: #a3c151;
    border: 0;
    padding: 0 6px;
}

.k-menu-horizontal .k-menu-link {
    border: 0;
}

#mainMenu a, #mainMenu a:visited, #mainMenu a:hover {
    color: #a3c151;
}

#mainMenu a:hover {
    color: #839E38;
}

/* wizard */
.k-stepper.k-stepper-linear {
    text-align: initial;
}

.k-stepper .k-step-indicator {
    border-color: #e8adac !important;
    color: #fff !important;
    background-color: #e8adac !important;
}

.k-progressbar .k-selected {
    background-color: #e8adac !important;
}

/* .k-dropdownlist */
.k-dropdownlist {
    background-color: #00000000 !important;
    border-color: #ced4da;
    color: rgb(73, 80, 87);
}

.k-dropdownlist:focus {
    border-color: #86b7fe;
    color: #495057;
    background-color: #fff;
    box-shadow: 0 0 0 .25rem rgba(13,110,253,.25);
}

/* grid */
#partecipantiGrid {
    margin: 0 10px;
}

.k-grid .k-command-cell > .k-button {
    line-height: 1;
    padding: 6px 12px;
    margin: 4px;
}

.k-popup-edit-form {
    background-color: #FCFDFE;
}

.k-checkbox.k-checkbox-md.k-rounded-md:checked::before {
    visibility: collapse;
}

/* footer */
#footer {
    flex-shrink: 0;
    margin-top: auto;
    width: 100%;
    background-color: #FDFEFC;
    border-top: 1px solid #80c63d;
}

#footer p {
    margin: 8px;
    text-align: center;
    font-family: 'Roboto',Helvetica,Arial,Lucida,sans-serif;
    font-style: italic;
    color: #80c63d;
}

#footer a {
    text-decoration: none;
    color: #80c63d;
}

#footer a:visited {
    color: #80c63d;
}

#footer a:hover {
    text-decoration: underline;
    color: #A7D777;
}

/* windows */
.k-dialog-action {
    color: #FCFDFE !important;
}

.k-widget.k-window {
    border-color: #4facd7;
    background-color: #4facd7;
    border-radius: 6px;
}

.k-dialog-content {
    font-size: 18px;
    font-weight: 300;
    background: #FCFDFE;
}

.k-dialog-buttongroup {
    border: 0;
    background: #FCFDFE;
}

.k-window-title.k-dialog-title, .k-dialog.k-alert .k-window-titlebar.k-dialog-titlebar.k-hstack:before {
    content: "XYZ Field";
    padding: .5em 0;
    margin: -.5em 0;
    font-size: 1.8rem;
    line-height: 1.5;
    text-overflow: ellipsis;
    overflow: hidden;
    cursor: default;
    flex: 1;
    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    color: #FCFDFE;
    font-family: 'Roboto',Helvetica,Arial,Lucida,sans-serif;
}

.k-window-title.k-dialog-title {
    visibility: collapse;
}

.k-window-content.k-dialog-content {
    padding-bottom: 0;
}

#privacyDialog .k-widget.k-window {
    border-color: #f0a5a8;
    background-color: #f0a5a8;
}

#privacyDialog .k-dialog-content, #privacyDialog .k-dialog-buttongroup {
    background: #FEFCFC;
}

#privacyDialog h1 {
    color: #f0a5a8;
    text-align: left;
}

#privacyDialog button, #privacyDialog .k-button.k-primary, #privacyDialog .k-dialog.k-alert .k-button, #privacyDialog .k-button:not(.k-rpanel-toggle) {
    color: #f0a5a8;
    background-color: #FCFDFE;
    border-color: #f0a5a8;
}

#privacyDialog button:hover, #privacyDialog .k-button:hover, #privacyDialog .k-button.k-primary:hover, #privacyDialog .k-dialog.k-alert .k-button:hover {
    color: #FEFCFC;
    background-color: #F7CDCF;
}
